Bug 213720 - Dual monitor setup confuses compiz
Dual monitor setup confuses compiz
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Depends On:
  Show dependency treegraph
Reported: 2006-11-02 13:24 EST by Brian G. Anderson
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-15 09:40:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian G. Anderson 2006-11-02 13:24:26 EST
Description of problem:
I use a twinview setup with two monitors.  Compiz with desktop effects does a
number of odd things under this setup:

1.  Maximize expands over both screens.  Without desktop effects a window
maximizes over only one screen.
2.  Playing a movie with totem and maximized to full screen puts the movie right
 in the middle of the combined screen: half on one side and half on the other. 
Without desktop effects a movie maximizes to only one screen.
3.  The uppermost panel (the one with the applications, places and system menus)
only fills one screen; the second screen is clear on the top most edge. 
However, with desktop effects on, the window manager won't let one place a
window right up against the top of the screen.  It acts like the panel on the
other screen extends over to the empty screen.  Without desktop effects one can
place the window right up against the top of the clear screen.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. setup a two monitor desktop
2. enable desktop effects
Actual results:

Expected results:
maximization should be over only one screen and a window should be placed
anyware on the non-paneled monitor

Additional info:
Comment 1 Aaron VanDevender 2006-11-09 18:25:35 EST
I believe this is caused by compiz not respecting the screen dimension flags
given by the Xinerama extension. We should look into making compiz more Xinerama
Comment 2 Aaron VanDevender 2006-11-09 18:28:42 EST
Duplicate of Bug 213102
Comment 3 Matěj Cepl 2007-10-22 17:38:03 EDT
(In reply to comment #2)
> Duplicate of Bug 213102

You cannot make a bug duplicate of other bug which is private to some groups.
Comment 4 Matěj Cepl 2007-10-22 17:46:01 EDT
Since this bugzilla report was filed, there have been several updates, which may
have resolved this issue. Users who have experienced this problem are encouraged
to upgrade their system to the latest version of their distribution available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
Comment 5 Matěj Cepl 2007-12-10 04:23:20 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 6 Matěj Cepl 2008-01-15 09:40:26 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional


{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.